# Uses of Interface
net.shibboleth.idp.session.SessionManager

Packages that use SessionManager
Package
Description
net.shibboleth.idp.session.impl
Implementations of session-related classes and interfaces.

## Uses of SessionManager in net.shibboleth.idp.session.impl

Classes in net.shibboleth.idp.session.impl that implement SessionManager
Modifier and Type
Class
Description
`class`
`StorageBackedSessionManager`
Implementation of `SessionManager` and `SessionResolver` interfaces that relies on a `StorageService` for persistence and lifecycle management of data.
Fields in net.shibboleth.idp.session.impl declared as SessionManager
Modifier and Type
Field
Description
`private SessionManager`
DestroySessions.`sessionManager`
Session resolver.
`private SessionManager`
DetectIdentitySwitch.`sessionManager`
SessionManager.
`private SessionManager`
UpdateSessionWithAuthenticationResult.`sessionManager`
SessionManager.
`private SessionManager`
UpdateSessionWithSPSession.`sessionManager`
SessionManager.
Methods in net.shibboleth.idp.session.impl with parameters of type SessionManager
Modifier and Type
Method
Description
`void`
DestroySessions.`setSessionManager(SessionManager manager)`
Set the `SessionManager` to use.
`void`
DetectIdentitySwitch.`setSessionManager(SessionManager manager)`
Set the `SessionManager` to use.
`void`
UpdateSessionWithAuthenticationResult.`setSessionManager(SessionManager manager)`
Set the `SessionManager` to use.
`void`
UpdateSessionWithSPSession.`setSessionManager(SessionManager manager)`
Set the `SessionManager` to use.